aboutsummaryrefslogtreecommitdiffstats
path: root/testing/platformio-core
diff options
context:
space:
mode:
authorprspkt <prspkt@protonmail.com>2019-07-21 10:11:16 +0300
committerprspkt <prspkt@protonmail.com>2019-07-21 10:30:31 +0300
commit73296706c9d3084abbdbdc96abe6609a1cb4e583 (patch)
tree45ffeef5353752e9427e677f83d1fe25428d7cc6 /testing/platformio-core
parent114491a6b7074831c193d8df5d47e4d73063aaab (diff)
downloadaports-73296706c9d3084abbdbdc96abe6609a1cb4e583.tar.gz
aports-73296706c9d3084abbdbdc96abe6609a1cb4e583.tar.bz2
aports-73296706c9d3084abbdbdc96abe6609a1cb4e583.tar.xz
testing/platformio-core: drop python2
Diffstat (limited to 'testing/platformio-core')
-rw-r--r--testing/platformio-core/APKBUILD14
1 files changed, 8 insertions, 6 deletions
diff --git a/testing/platformio-core/APKBUILD b/testing/platformio-core/APKBUILD
index 691ca37b83..aeda99edcc 100644
--- a/testing/platformio-core/APKBUILD
+++ b/testing/platformio-core/APKBUILD
@@ -5,11 +5,11 @@ pkgver=3.2.1
pkgrel=0
pkgdesc="An open source ecosystem for IoT development"
url="http://platformio.org"
-arch="all"
+arch="noarch"
license="Apache-2.0"
-depends="python py-bottle py-click5 py-lockfile py-serial
- py-requests py-colorama py-semanticversion"
-makedepends="python-dev py-setuptools"
+depends="py3-bottle py3-click5 py3-colorama py3-lockfile py3-requests
+ py3-semanticversion py3-serial"
+makedepends="py3-setuptools"
install=""
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/platformio/platformio-core/archive/v$pkgver.tar.gz"
@@ -17,12 +17,14 @@ builddir="$srcdir/$pkgname-$pkgver"
build() {
cd "$builddir"
- python setup.py build || return 1
+ python3 setup.py build || return 1
+ cd "$builddir"/scripts
+ 2to3 -w *.py
}
package() {
cd "$builddir"
- python setup.py install --prefix=/usr \
+ python3 setup.py install --prefix=/usr \
--root="$pkgdir" || return 1
mkdir -p "$pkgdir"/usr/share/doc/$pkgname/